Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ServerRequestInfo.h File Reference

`#include "portableserver_export.h"`
`#include "tao/orbconf.h"`
`#include "Object_Adapter.h"`
`#include "tao/PortableInterceptorC.h"`
`#include "tao/LocalObject.h"`
`#include "tao/StringSeqC.h"`
`#include "tao/OctetSeqC.h"`
`#include "tao/Service_Context.h"`
`#include "tao/TAO_Server_Request.h"`

Include dependency graph for ServerRequestInfo.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_ServerRequestInfo
| Implementation of the PortableInterceptor::ServerRequestInfo interface. More...

## Detailed Description

Id:
  ServerRequestInfo.h,v 1.15 2003/10/28 18:29:31 bala Exp

This is the implementation of the PortableInterceptor::ServerRequestInfo interface.

Author:
  Kirthika Parameswaran <kirthika@cs.wustl.edu> , Ossama Othman <ossama@uci.edu>